<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RMlppDomain StructType
 * @subpackage Structs
 */
class RMlppDomain extends AbstractStructBase
{
    /**
     * The domainName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $domainName;
    /**
     * The domainId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $domainId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RMlppDomain
     * @uses RMlppDomain::setDomainName()
     * @uses RMlppDomain::setDomainId()
     * @uses RMlppDomain::setUuid()
     * @param string $domainName
     * @param string $domainId
     * @param string $uuid
     */
    public function __construct($domainName = null, $domainId = null, $uuid = null)
    {
        $this
            ->setDomainName($domainName)
            ->setDomainId($domainId)
            ->setUuid($uuid);
    }
    /**
     * Get domainName value
     * @return string|null
     */
    public function getDomainName()
    {
        return $this->domainName;
    }
    /**
     * Set domainName value
     * @param string $domainName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMlppDomain
     */
    public function setDomainName($domainName = null)
    {
        $this->domainName = $domainName;
        return $this;
    }
    /**
     * Get domainId value
     * @return string|null
     */
    public function getDomainId()
    {
        return $this->domainId;
    }
    /**
     * Set domainId value
     * @param string $domainId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMlppDomain
     */
    public function setDomainId($domainId = null)
    {
        $this->domainId = $domainId;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMlppDomain
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
